Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Attributes | List of all members
eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct Class Reference

This class is used for updating a content type. More...

Inheritance diagram for eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct:

## Public Attributes
| $identifier
| $remoteId
| $urlAliasSchema
| $nameSchema
| $isContainer
| $mainLanguageCode
| $defaultSortField
| $defaultSortOrder
| $defaultAlwaysAvailable
| $modifierId = null
| $modificationDate = null
| $names
| $descriptions

## Additional Inherited Members
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __get ($property)
| Magic get function handling read to non public properties. More...
| __isset ($property)
| Magic isset function handling isset() to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Detailed Description

This class is used for updating a content type.

Definition at line 14 of file ContentTypeUpdateStruct.php.

## Member Data Documentation

## ◆ $defaultAlwaysAvailable

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$defaultAlwaysAvailable

Definition at line 77 of file ContentTypeUpdateStruct.php.

## ◆ $defaultSortField

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$defaultSortField

Definition at line 63 of file ContentTypeUpdateStruct.php.

## ◆ $defaultSortOrder

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$defaultSortOrder

Definition at line 70 of file ContentTypeUpdateStruct.php.

## ◆ $descriptions

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$descriptions

Definition at line 105 of file ContentTypeUpdateStruct.php.

## ◆ $identifier

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$identifier

Definition at line 21 of file ContentTypeUpdateStruct.php.

## ◆ $isContainer

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$isContainer

Definition at line 49 of file ContentTypeUpdateStruct.php.

## ◆ $mainLanguageCode

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$mainLanguageCode

Definition at line 56 of file ContentTypeUpdateStruct.php.

## ◆ $modificationDate

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$modificationDate = null

Definition at line 91 of file ContentTypeUpdateStruct.php.

## ◆ $modifierId

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$modifierId = null

Definition at line 84 of file ContentTypeUpdateStruct.php.

## ◆ $names

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$names

Definition at line 98 of file ContentTypeUpdateStruct.php.

## ◆ $nameSchema

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$nameSchema

Definition at line 42 of file ContentTypeUpdateStruct.php.

## ◆ $remoteId

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$remoteId

Definition at line 28 of file ContentTypeUpdateStruct.php.

## ◆ $urlAliasSchema

eZ\Publish\API\Repository\Values\ContentType\ContentTypeUpdateStruct::$urlAliasSchema

Definition at line 35 of file ContentTypeUpdateStruct.php.

The documentation for this class was generated from the following file:

- ContentTypeUpdateStruct.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.